Cleanup stale script stuff (#26573)

This commit is contained in:
Pascal Vizeli 2019-09-11 11:33:35 +02:00 committed by GitHub
parent 702a524b55
commit e6ecabd6e1
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
6 changed files with 1 additions and 90 deletions

View File

@ -1,33 +0,0 @@
#!/bin/sh
# Build and run Home Assinstant in Docker.
# Optional: pass in a timezone as first argument
# If not given will attempt to mount /etc/localtime
# Stop on errors
set -e
cd "$(dirname "$0")/.."
docker build -t home-assistant-dev -f virtualization/Docker/Dockerfile.dev .
if [ $# -gt 0 ]
then
docker run \
--net=host \
--device=/dev/ttyUSB0:/zwaveusbstick:rwm \
-e "TZ=$1" \
-v `pwd`:/usr/src/app \
-v `pwd`/config:/config \
-t -i home-assistant-dev
else
docker run \
--net=host \
-v /etc/localtime:/etc/localtime:ro \
-v `pwd`:/usr/src/app \
-v `pwd`/config:/config \
--rm \
-t -i home-assistant-dev
fi

View File

@ -1,16 +0,0 @@
#!/bin/sh
# Open a docker that can be used to debug/dev python-openzwave. Pass in a command line argument to build
cd "$(dirname "$0")/.."
if [ $# -gt 0 ]
then
docker build -t home-assistant-dev .
fi
docker run \
--device=/dev/ttyUSB0:/zwaveusbstick:rwm \
-v `pwd`:/usr/src/app \
-p 8123:8123 \
-t -i home-assistant-dev \
/bin/bash

View File

@ -1,13 +0,0 @@
#!/bin/sh
# Execute lint in a docker container to spot code mistakes.
# Stop on errors
set -e
cd "$(dirname "$0")/.."
docker build -t home-assistant-test -f virtualization/Docker/Dockerfile.dev .
docker run --rm \
-v `pwd`/.tox/:/usr/src/app/.tox/ \
-t -i home-assistant-test \
tox -e lint

View File

@ -1,16 +0,0 @@
#!/bin/sh
# Executes the tests with tox in a docker container.
# Every argument is passed to tox to allow running only a subset of tests.
# The following example will only run media_player tests:
# ./test_docker -- tests/components/media_player/
# Stop on errors
set -e
cd "$(dirname "$0")/.."
docker build -t home-assistant-test -f virtualization/Docker/Dockerfile.dev .
docker run --rm \
-v `pwd`/.tox/:/usr/src/app/.tox/ \
-t -i home-assistant-test \
tox -e py36 ${@:2}

View File

@ -27,7 +27,7 @@ LANG_ISO=en
CURRENT_BRANCH=$(git rev-parse --abbrev-ref HEAD)
# Check Travis and Azure environment as well
if [ "${CURRENT_BRANCH-}" != "dev" ] && [ "${TRAVIS_BRANCH-}" != "dev" ] && [ "${AZURE_BRANCH-}" != "dev" ]; then
if [ "${CURRENT_BRANCH-}" != "dev" ] && [ "${AZURE_BRANCH-}" != "dev" ]; then
echo "Please only run the translations upload script from a clean checkout of dev."
exit 1
fi

View File

@ -1,11 +0,0 @@
#!/usr/bin/env bash
# Safe bash settings
# -e Exit on command fail
# -u Exit on unset variable
# -o pipefail Exit if piped command has error code
set -eu -o pipefail
cd "$(dirname "$0")/.."
script/translations_upload